This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 625602 - Review Request:libbluray - Library to access Blu-Ray disks for video playback
Review Request:libbluray - Library to access Blu-Ray disks for video playback
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alex Lancaster
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 625603
  Show dependency treegraph
 
Reported: 2010-08-19 18:09 EDT by Xavier Bachelot
Modified: 2010-11-09 04:21 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-09 04:21:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
alexl: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Xavier Bachelot 2010-08-19 18:09:22 EDT
Spec URL: http://www.bachelot.org/fedora/SPECS/libbluray.spec
SRPM URL: http://www.bachelot.org/fedora/SRPMS/libbluray-0.1-0.1.20100819.fc13.src.rpm
Description:
This package is aiming to provide a full portable free open source bluray
library, which can be plugged into popular media players to allow full bluray
navigation and playback on Linux. It will eventually be compatible with all
current titles, and will be easily portable and embeddable in standard players
such as mplayer and vlc.
Comment 1 Xavier Bachelot 2010-08-19 18:25:09 EDT
Just for safety, make this bug block FE-LEGAL too, although the most sensitive
package is libaacs.
Comment 2 Xavier Bachelot 2010-09-17 05:27:53 EDT
Hi Legal team, any update on this ?
Comment 3 Xavier Bachelot 2010-09-20 11:18:17 EDT
One of the issue here is to determine if libbluray is useful without libaacs and libbdplus, as it would not meet the following guideline : https://fedoraproject.org/wiki/Packaging:Guidelines#Packages_which_are_not_useful_without_external_bits
In others words, are we in a similar situation as for DVDs : libdvread is acceptable while libdvdcss is not.
Indeed the commercial bluray discs offering is mostly composed of encrypted discs, and thus useless w/o libaacs and libbdplus. However there are now FOSS BD authoring tool and as such, we'll likely have more and more non-encrypted BDs. 
This post links to such a BD, made from well known free content (Elephant's Dream and Big Bug Bunny) : http://x264dev.multimedia.cx/?p=328

Just some food for thought when this bug will be reviewed.
Comment 4 Xavier Bachelot 2010-10-13 03:36:18 EDT
Hi Spot, Legal team,

Just a gentle reminder, is there any update on this ? I know you're all very busy, but this bug is stalled for almost 2 months now.

Regards,
Xavier
Comment 5 Tom "spot" Callaway 2010-10-13 14:08:39 EDT
Assuming this package doesn't enable playback of encrypted BD media, I don't think it is a problem, it seems to be analogous to libdvdread. Is that correct?
Comment 6 Xavier Bachelot 2010-10-13 14:31:30 EDT
Yes, it's correct.
Comment 7 Tom "spot" Callaway 2010-10-13 14:35:42 EDT
Then I'm lifting FE-Legal here. You probably don't want it blocking 625603 either, as that one is going to be blocked FE-Legal indefinitely.
Comment 8 Alex Lancaster 2010-10-19 02:36:05 EDT
Taking review.  Full review will be along soon, meanwhile, just running rpmlint, which looks good, only warnings which can be ignored.

$ rpmlint libbluray-0.1-0.1.20100819.fc13.x86_64.rpm 
libbluray.x86_64: W: spelling-error %description -l en_US bluray -> blurry, blurt, blurb
libbluray.x86_64: W: spelling-error %description -l en_US embeddable -> embedding, embedded, shreddable
libbluray.x86_64: W: spelling-error %description -l en_US mplayer -> player, m player, mp layer
libbluray.x86_64: W: spelling-error %description -l en_US vlc -> vac, voc, Vlad
1 packages and 0 specfiles checked; 0 errors, 4 warnings.
$ rpmlint libbluray-devel-0.1-0.1.20100819.fc13.x86_64.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 9 Alex Lancaster 2010-10-21 00:20:46 EDT
Looks good.  Please check my notes on things to fix post-checkin
(particularly the SourceURL stuff), otherwise:

APPROVED

Full review follows:

x   = passes review item
-   = fails review item, package approval blocked until resolution
?   = query that can be resolved after approval, not a blocker
N/A = not applicable to this package

MUST items:

[  ?   ] MUST: rpmlint must be run on every package
$ rpmlint RPMS/x86_64/libbluray-* ~/RPMS/SRPMS/libbluray-0.1-0.1.20100819.fc13.src.rpm 
libbluray.x86_64: W: spelling-error %description -l en_US bluray -> blurry, blurt, blurb
libbluray.x86_64: W: spelling-error %description -l en_US embeddable -> embedding, embedded, shreddable
libbluray.x86_64: W: spelling-error %description -l en_US mplayer -> player, m player, mp layer
libbluray.x86_64: W: spelling-error %description -l en_US vlc -> vac, voc, Vlad
libbluray-debuginfo.x86_64: E: non-standard-dir-perm /usr/src/debug/libbluray-20100819 0775L
libbluray-debuginfo.x86_64: E: non-standard-dir-perm /usr/lib/debug 0775L
libbluray-debuginfo.x86_64: E: non-standard-dir-perm /usr/src/debug/libbluray-20100819/src/libbluray/bdj/native 0775L
libbluray-debuginfo.x86_64: E: non-standard-dir-perm /usr/src/debug/libbluray-20100819/src/libbluray/bdnav 0775L
libbluray-debuginfo.x86_64: E: non-standard-dir-perm /usr/src/debug/libbluray-20100819/src/libbluray/hdmv 0775L
libbluray-debuginfo.x86_64: E: non-standard-dir-perm /usr/src/debug/libbluray-20100819/src/libbluray/decoders 0775L
libbluray-debuginfo.x86_64: E: non-standard-dir-perm /usr/src/debug/libbluray-20100819/src/util 0775L
libbluray-debuginfo.x86_64: E: non-standard-dir-perm /usr/src/debug/libbluray-20100819/src/libbluray 0775L
libbluray-debuginfo.x86_64: E: non-standard-dir-perm /usr/src/debug/libbluray-20100819/src/libbluray/bdj 0775L
libbluray-debuginfo.x86_64: E: non-standard-dir-perm /usr/src/debug/libbluray-20100819/src/file 0775L
libbluray.src: W: spelling-error %description -l en_US bluray -> blurry, blurt, blurb
libbluray.src: W: spelling-error %description -l en_US embeddable -> embedding, embedded, shreddable
libbluray.src: W: spelling-error %description -l en_US mplayer -> player, m player, mp layer
libbluray.src: W: spelling-error %description -l en_US vlc -> vac, voc, Vlad
libbluray.src:14: W: macro-in-comment %Y
libbluray.src:14: W: macro-in-comment %m
libbluray.src:14: W: macro-in-comment %d
libbluray.src:14: W: macro-in-comment %Y
libbluray.src:14: W: macro-in-comment %m
libbluray.src:14: W: macro-in-comment %d
libbluray.src: W: invalid-url Source0: libbluray-20100819.tar.bz2
4 packages and 0 specfiles checked; 10 errors, 15 warnings.

 Can you look into the debuginfo errors? not sure if they need to be
 fixed or not.  Regarding the macros-in-comment warning, can probably
 ignore that, as well the spelling-error's.

[   x  ] MUST: The package must be named according to the Package Naming 
         Guidelines
[   x  ] MUST: The spec file name must match the base package %{name} [...]
[   x  ] MUST: The package must meet the Packaging Guidelines
[   x  ] MUST: The package must be licensed with a Fedora approved license
         and meet the Licensing Guidelines
  Licensed under LGPLv2+, headers contain:

   * This library is free software; you can redistribute it and/or
   * modify it under the terms of the GNU Lesser General Public
   * License as published by the Free Software Foundation; either
   * version 2.1 of the License, or (at your option) any later version.
  so clearly LGPLv2+, which matches spec file

[  x   ] MUST: The License field in the package spec file must match the 
         actual license
  COPYING contains text of LGPL version 2.1

[  x   ] MUST: If (and only if) the source package includes the text of the 
         license(s) in its own file, then that file, containing the text of 
         the license(s) for the package must be included in %doc
[  x   ] MUST: The spec file must be written in American English.
[  x   ] MUST: The spec file for the package MUST be legible.
[  ?   ] MUST: The sources used to build the package must match the upstream 
         source, as provided in the spec URL. Reviewers should use md5sum for 
         this task. If no upstream URL can be specified for this package, 
         please see the Source URL Guidelines for how to deal with this.
  Can't test the MD5 checksums because the git command will check out
  a different version of the code than the one uploaded in the SRPM,
  unless the git command in the spec uses the same date as
  %{tarball_date}.  Make sure that %{tarball_date} is adjusted
  correctly at the time of checkin.

[  x   ] MUST: The package MUST successfully compile and build into binary 
         rpms on at least one primary architecture
  Koji scratch build for rawhide finishes successfully:
  http://koji.fedoraproject.org/koji/taskinfo?taskID=2545698

[  N/A  ] MUST: If the package does not successfully compile, build or work on 
         an architecture, then those architectures should be listed in the 
         spec in ExcludeArch. Each architecture listed in ExcludeArch MUST 
         have a bug filed in bugzilla, describing the reason that the package 
         does not compile/build/work on that architecture. The bug number MUST 
         be placed in a comment, next to the corresponding ExcludeArch line
  Compiles on all supported arches

[   x  ] MUST: All build dependencies must be listed in BuildRequires, except 
         for any that are listed in the exceptions section of the Packaging 
         Guidelines ; inclusion of those as BuildRequires is optional. Apply 
         common sense.
  Koji build indicates that BR's are sufficient, also look sensible by
  inspection.

[  N/A  ] MUST: The spec file MUST handle locales properly. This is done by 
         using the %find_lang macro. Using %{_datadir}/locale/* is strictly 
         forbidden
   Not needed, no locale files

[  x   ] MUST: Every binary RPM package (or subpackage) which stores shared 
         library files (not just symlinks) in any of the dynamic linker's 
         default paths, must call ldconfig in %post and %postun.
[  x   ] MUST: Packages must NOT bundle copies of system libraries.
[ N/A  ] MUST: If the package is designed to be relocatable, the packager must 
         state this fact in the request for review, along with the 
         rationalization for relocation of that specific package. Without 
         this, use of Prefix: /usr is considered a blocker.
[  x   ] MUST: A package must own all directories that it creates. If it does 
         not create a directory that it uses, then it should require a package 
         which does create that directory.
[  x   ] MUST: A package must not contain any duplicate files in the %files 
         listing.
[  x   ] MUST: Permissions on files must be set properly. Executables should 
         be set with executable permissions, for example. Every %files section 
         must include a %defattr(...) line.
[  x   ] MUST: Each package must have a %clean section, which contains rm -rf
         %{buildroot} (or $RPM_BUILD_ROOT).
[  x   ] MUST: Each package must consistently use macros.
[  x   ] MUST: The package must contain code, or permissable content.
[  x   ] MUST: Large documentation files must go in a -doc subpackage. (The 
         definition of large is left up to the packager's best judgement, but 
         is not restricted to size. Large can refer to either size or 
         quantity).
  Reasonable amount of docs in -devel package, amount seems sensible.

[  x   ] MUST: If a package includes something as %doc, it must not affect the 
         runtime of the application. To summarize: If it is in %doc, the 
         program must run properly if it is not present.
[  x   ] MUST: Header files must be in a -devel package.
[  ?   ] MUST: Static libraries must be in a -static package.
  Seems that generating a static package is optional, is this intentional?

[  x   ] MUST: If a package contains library files with a suffix (e.g. 
         libfoo.so.1.1), then library files that end in .so (without suffix) 
         must go in a -devel package.
[  x   ] MUST: In the vast majority of cases, devel packages must require the 
         base package using a fully versioned dependency: Requires: %{name} =
         %{version}-%{release}
[  x   ] MUST: Packages must NOT contain any .la libtool archives, these must 
         be removed in the spec if they are built.
[  N/A ] MUST: Packages containing GUI applications must include a
         %{name}.desktop file, and that file must be properly installed with 
         desktop-file-install in the %install section. If you feel that your 
         packaged GUI application does not need a .desktop file, you must put 
         a comment in the spec file with your explanation.
[  x   ] MUST: Packages must not own files or directories already owned by 
         other packages. The rule of thumb here is that the first package to 
         be installed should own the files or directories that other packages 
         may rely upon. This means, for example, that no package in Fedora 
         should ever share ownership with any of the files or directories 
         owned by the filesystem or man package. If you feel that you have a 
         good reason to own a file or directory that another package owns, 
         then please present that at package review time.
[  x   ] MUST: At the beginning of %install, each package MUST run rm -rf
         %{buildroot} (or $RPM_BUILD_ROOT).
[  x   ] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD items:

[  x   ] SHOULD: If the source package does not include license
         text(s) as a separate file from upstream, the packager SHOULD
         query upstream to include it.
[  N/A ] SHOULD: The description and summary sections in the package spec file
         should contain translations for supported Non-English languages, if
         available.
[  x   ] SHOULD: The reviewer should test that the package builds in mock. 
   Builds in koji (see above)

[  x   ] SHOULD: The package should compile and build into binary rpms on all
         supported architectures.
  Builds in koji (see above)

[  x   ] SHOULD: The reviewer should test that the package functions as
         described. A package should not segfault instead of running, for
         example.
  xbmc (from RPM Fusion) correctly links against libbluray, don't have
  discs to test, unfortunately.

[  x   ] SHOULD: If scriptlets are used, those scriptlets must be sane. This is
         vague, and left up to the reviewers judgement to determine
         sanity.
[  N/A ] SHOULD: Usually, subpackages other than devel should require the base
         package using a fully versioned dependency.
[  x   ] SHOULD: The placement of pkgconfig(.pc) files depends on
         their usecase, and this is usually for development purposes,
         so should be placed in a -devel pkg. A reasonable exception
         is that the main pkg itself is a devel tool not installed in
         a user runtime, e.g. gcc or gdb.
[  N/A ] SHOULD: If the package has file dependencies outside of /etc,
         /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the
         package which provides the file instead of the file
         itself.
[  N/A ] SHOULD: your package should contain man pages for binaries/scripts. If
         it doesn't, work with upstream to add them where they make sense.
Comment 10 Xavier Bachelot 2010-10-21 05:20:34 EDT
(In reply to comment #9)

> [  ?   ] MUST: rpmlint must be run on every package
> $ rpmlint RPMS/x86_64/libbluray-*
> ~/RPMS/SRPMS/libbluray-0.1-0.1.20100819.fc13.src.rpm 
> libbluray.x86_64: W: spelling-error %description -l en_US bluray -> blurry,
> blurt, blurb
> libbluray.x86_64: W: spelling-error %description -l en_US embeddable ->
> embedding, embedded, shreddable
> libbluray.x86_64: W: spelling-error %description -l en_US mplayer -> player, m
> player, mp layer
> libbluray.x86_64: W: spelling-error %description -l en_US vlc -> vac, voc, Vlad
> libbluray-debuginfo.x86_64: E: non-standard-dir-perm
> /usr/src/debug/libbluray-20100819 0775L
> libbluray-debuginfo.x86_64: E: non-standard-dir-perm /usr/lib/debug 0775L
> libbluray-debuginfo.x86_64: E: non-standard-dir-perm
> /usr/src/debug/libbluray-20100819/src/libbluray/bdj/native 0775L
> libbluray-debuginfo.x86_64: E: non-standard-dir-perm
> /usr/src/debug/libbluray-20100819/src/libbluray/bdnav 0775L
> libbluray-debuginfo.x86_64: E: non-standard-dir-perm
> /usr/src/debug/libbluray-20100819/src/libbluray/hdmv 0775L
> libbluray-debuginfo.x86_64: E: non-standard-dir-perm
> /usr/src/debug/libbluray-20100819/src/libbluray/decoders 0775L
> libbluray-debuginfo.x86_64: E: non-standard-dir-perm
> /usr/src/debug/libbluray-20100819/src/util 0775L
> libbluray-debuginfo.x86_64: E: non-standard-dir-perm
> /usr/src/debug/libbluray-20100819/src/libbluray 0775L
> libbluray-debuginfo.x86_64: E: non-standard-dir-perm
> /usr/src/debug/libbluray-20100819/src/libbluray/bdj 0775L
> libbluray-debuginfo.x86_64: E: non-standard-dir-perm
> /usr/src/debug/libbluray-20100819/src/file 0775L
> libbluray.src: W: spelling-error %description -l en_US bluray -> blurry, blurt,
> blurb
> libbluray.src: W: spelling-error %description -l en_US embeddable -> embedding,
> embedded, shreddable
> libbluray.src: W: spelling-error %description -l en_US mplayer -> player, m
> player, mp layer
> libbluray.src: W: spelling-error %description -l en_US vlc -> vac, voc, Vlad
> libbluray.src:14: W: macro-in-comment %Y
> libbluray.src:14: W: macro-in-comment %m
> libbluray.src:14: W: macro-in-comment %d
> libbluray.src:14: W: macro-in-comment %Y
> libbluray.src:14: W: macro-in-comment %m
> libbluray.src:14: W: macro-in-comment %d
> libbluray.src: W: invalid-url Source0: libbluray-20100819.tar.bz2
> 4 packages and 0 specfiles checked; 10 errors, 15 warnings.
> 
>  Can you look into the debuginfo errors? not sure if they need to be
>  fixed or not.  Regarding the macros-in-comment warning, can probably
>  ignore that, as well the spelling-error's.
>
I'll look into the perms on the debuginfo, but this is likely coming from the tarball generation.
 
> [  ?   ] MUST: The sources used to build the package must match the upstream 
>          source, as provided in the spec URL. Reviewers should use md5sum for 
>          this task. If no upstream URL can be specified for this package, 
>          please see the Source URL Guidelines for how to deal with this.
>   Can't test the MD5 checksums because the git command will check out
>   a different version of the code than the one uploaded in the SRPM,
>   unless the git command in the spec uses the same date as
>   %{tarball_date}.  Make sure that %{tarball_date} is adjusted
>   correctly at the time of checkin.
>
I will rework this part to use the commit hash rather than the date. I'll also fix the release tag to include the commit hash (at least the start of it), as per the guideline on pre-releases.
 
> [  ?   ] MUST: Static libraries must be in a -static package.
>   Seems that generating a static package is optional, is this intentional?
>
Yes, this is intentional. Static libs are only needed to build some of the small test programs that are included (but not built nor installed by default Makefile).
 
> [  x   ] SHOULD: The reviewer should test that the package functions as
>          described. A package should not segfault instead of running, for
>          example.
>   xbmc (from RPM Fusion) correctly links against libbluray, don't have
>   discs to test, unfortunately.
> 
You can probably test with the BD iso from the link in comment #3.


Thanks a lot for the review.
Comment 11 Xavier Bachelot 2010-10-21 19:25:49 EDT
New SRPM and spec addressing your comments :
Spec URL: http://www.bachelot.org/fedora/SPECS/libbluray.spec
SRPM URL : http://www.bachelot.org/fedora/SRPMS/libbluray-0.1-0.2.20101021git144a204c02687.fc13.src.rpm
Comment 12 Xavier Bachelot 2010-10-21 19:35:15 EDT
New Package SCM Request
=======================
Package Name: libbluray
Short Description: Library to access Blu-Ray disks for video playback
Owners: xavierb
Branches: f12 f13 f14 el5 el6
InitialCC:
Comment 13 Alex Lancaster 2010-10-21 22:04:27 EDT
(In reply to comment #10)
> (In reply to comment #9)


> I will rework this part to use the commit hash rather than the date. I'll also
> fix the release tag to include the commit hash (at least the start of it), as
> per the guideline on pre-releases.

Got your updated spec, looks good.  Thanks for fixing that.
 
> > [  ?   ] MUST: Static libraries must be in a -static package.
> >   Seems that generating a static package is optional, is this intentional?
> >
> Yes, this is intentional. Static libs are only needed to build some of the
> small test programs that are included (but not built nor installed by default
> Makefile).

Check.

> You can probably test with the BD iso from the link in comment #3.

Actually, just after I submitted the review, I recompiled XBMC with libbluray support.  It appears that xbmc dlopen()s libbluray.so.1 or otherwise doesn't link it into the binary, however it does correctly load.  Unfortunately xbmc can't play an ISO directly, but I could loopback mount the ISO and then navigate to the folder and it did play the disc content (albeit with no Bluray menus, it just skipped to next playlist item), but seems to playback just fine.
Comment 14 Kevin Fenzi 2010-10-25 14:43:03 EDT
Git done (by process-git-requests).
Comment 15 Alex Lancaster 2010-11-07 17:20:59 EST
Thanks for the rawhide build, any chance we could get builds and updates for f13 and f14?
Comment 16 Xavier Bachelot 2010-11-09 04:21:26 EST
An update with the latest snapshot is on its way to rawhide, F14 and F13.

http://koji.fedoraproject.org/koji/taskinfo?taskID=2589368
http://koji.fedoraproject.org/koji/taskinfo?taskID=2589390
http://koji.fedoraproject.org/koji/taskinfo?taskID=2589394

Time to close this bug now. Thanks again for the review, hopefully you or someone else find a bit of time for the sister review in that other famous repository.

Note You need to log in before you can comment on or make changes to this bug.